org.keycloak.services.resources.flows

## Class Flows

- java.lang.Object
- - org.keycloak.services.resources.flows.Flows

-     public class Flows
      extends Object

  Author:
    Stian Thorgersen

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ErrorFlows` | `errors()`
    `static LoginFormsProvider` | `forms(KeycloakSession session, RealmModel realm, ClientModel client, javax.ws.rs.core.UriInfo uriInfo)`
    `static OAuthFlows` | `oauth(KeycloakSession session, RealmModel realm, org.jboss.resteasy.spi.HttpRequest request, javax.ws.rs.core.UriInfo uriInfo, ClientConnection clientConnection, AuthenticationManager authManager, TokenManager tokenManager)`
    `static SocialRedirectFlows` | `social(RealmModel realm, javax.ws.rs.core.UriInfo uriInfo, ClientConnection clientConnection, SocialProvider provider)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### forms

          public static LoginFormsProvider forms(KeycloakSession session,
                                 RealmModel realm,
                                 ClientModel client,
                                 javax.ws.rs.core.UriInfo uriInfo)

    - #### oauth

          public static OAuthFlows oauth(KeycloakSession session,
                         RealmModel realm,
                         org.jboss.resteasy.spi.HttpRequest request,
                         javax.ws.rs.core.UriInfo uriInfo,
                         ClientConnection clientConnection,
                         AuthenticationManager authManager,
                         TokenManager tokenManager)

    - #### social

          public static SocialRedirectFlows social(RealmModel realm,
                                   javax.ws.rs.core.UriInfo uriInfo,
                                   ClientConnection clientConnection,
                                   SocialProvider provider)

    - #### errors

          public static ErrorFlows errors()

Copyright © 2015. All Rights Reserved.